Get Transaction Details
curl --request GET \
--url https://api.adamik.io/api/{chainId}/transaction/{transactionId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.adamik.io/api/{chainId}/transaction/{transactionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.adamik.io/api/{chainId}/transaction/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": {
"raw": "<unknown>",
"parsed": {
"id": "<string>",
"mode": "deployAccount",
"state": "pending",
"fees": {
"amount": "<string>",
"ticker": "<string>"
},
"tokenId": "<string>",
"blockHeight": "<string>",
"timestamp": "<string>",
"gas": "<string>",
"nonce": "<string>",
"memo": "<string>",
"senders": [
{
"address": "<string>",
"amount": "<string>",
"ticker": "<string>"
}
],
"recipients": [
{
"address": "<string>",
"amount": "<string>",
"ticker": "<string>"
}
],
"validators": {
"source": {
"address": "<string>",
"amount": "<string>",
"ticker": "<string>"
},
"target": {
"address": "<string>",
"amount": "<string>",
"ticker": "<string>"
}
}
}
},
"status": {
"errors": [
{
"message": "<string>"
}
],
"warnings": [
{
"message": "<string>"
}
]
}
}Transaction
Get Transaction Details
Retrieves detailed information about a specific transaction for a blockchain network, identified by chain ID and transaction ID.
GET
/
api
/
{chainId}
/
transaction
/
{transactionId}
Get Transaction Details
Authorizations
Path Parameters
Available options:
algorand, cosmoshub, osmosis, celestia, dydx, axelar, ethereum, sepolia, holesky, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, bitcoin, bitcoin-testnet, bitcoin-signet, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, litecoin, dogecoin, ton, injective, akash, tron, evmos, juno, sei, stride, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, cronos, world-chain, solana, aptos, aptos-testnet, stellar, stellar-testnet Transaction ID. Usually a hash but can be different depending on the chain.
Example:
"559c1be45865069c6070529e43c69752d73438cbb1d04e4f301e94cd68bf7422"
Query Parameters
Optional filter to request specific data. Use a single 'include' parameter with comma-separated values. Possible values are 'parsed' and 'raw'.
Examples:
"parsed,raw"
"parsed"
"raw"
Was this page helpful?